Package fr.gouv.vitam.antivirus.client.invoker

# Class RFC3339DateFormat

java.lang.Object
java.text.Format
java.text.DateFormat
fr.gouv.vitam.antivirus.client.invoker.RFC3339DateFormat

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class RFC3339DateFormat extends DateFormat

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.text.DateFormat

  `DateFormat.Field`

- ## Field Summary

  ### Fields inherited from class java.text.DateFormat

  `AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RFC3339DateFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `StringBuffer`
  `format(Date date, StringBuffer toAppendTo, FieldPosition fieldPosition)`
  `Date`
  `parse(String source)`
  `Date`
  `parse(String source, ParsePosition pos)`

  ### Methods inherited from class java.text.DateFormat

  `equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

  ### Methods inherited from class java.text.Format

  `format, formatToCharacterIterator, parseObject`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RFC3339DateFormat

    public RFC3339DateFormat()

- ## Method Details

  - ### parse

    public Date parse(String source)
    Overrides:
      `parse` in class `DateFormat`

  - ### parse

    public Date parse(String source, ParsePosition pos)
    Specified by:
      `parse` in class `DateFormat`

  - ### format

    public StringBuffer format(Date date, StringBuffer toAppendTo, FieldPosition fieldPosition)
    Specified by:
      `format` in class `DateFormat`

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `DateFormat`